/********************************************************************************************************
 * PROGRAM      : fcp
 * DATE - TIME  : dimanche 10 juin 2007 - 19h16
 * AUTHOR       : Michal Todorovic ( michael.todorovic free.fr )
 * FILENAME     : hal.h
 * LICENSE      : GPLv2
 * COMMENTARY   : Header for using the C hal library
 ********************************************************************************************************/
#ifndef HAL_H
#define HAL_H

#include <hal/libhal.h>
#include <dbus/dbus.h>
#include "messages.h"

class hal : public QObject
{
	Q_OBJECT

private:
	DBusConnection *dbus_connection;
	DBusError error;
	LibHalContext *m_halContext;
	msgConsole *msg;

public:
	hal();
	~hal();
	bool initHal();
	char* getStringProperty(char* where, char* object);

	QString processor;
	QString formFactor;
	QString kernel_version;
	QString kernel_type;
};

#endif
