/********************************************************************************************************
* PROGRAM      : fcp
* DATE - TIME  : dimanche 10 juin 2007 - 15h43
* AUTHOR       : Michal Todorovic ( michael.todorovic@free.fr )
* FILENAME     : messages.cpp
* LICENSE      : GPLv2
* COMMENTARY   : Source code for the output functions to the console
********************************************************************************************************/
#include "messages.h"

void msgConsole::critical(QString string)
{
	cerr << qPrintable(tr("Critical")+QString(" : ")) << qPrintable(string) << endl;
	exit(1);
}

void msgConsole::warning(QString string)
{
	cerr << qPrintable(tr("Warning") + QString(" : ")) << qPrintable(string) << endl;
}

void msgConsole::debug(QString string)
{
	if(this->verbose)
		cout << qPrintable(tr("Debug") + QString(" : ")) << qPrintable(string) << endl;
}

void msgConsole::gCritical(QString string)
{
	QMessageBox::critical(NULL, tr("Critical"), string);
	exit(1);
}

void msgConsole::gWarning(QString string)
{
	QMessageBox::warning(NULL, tr("Warning"), string);
}
