/********************************************************************************************************
* PROGRAM      : fcp
* DATE - TIME  : dimanche 10 juin 2007 - 15h38
* AUTHOR       : Michal Todorovic ( michael.todorovic@free.fr )
* FILENAME     : mainUi.h
* LICENSE      : GPLv2
* COMMENTARY   : Header for the main window
********************************************************************************************************/
#ifndef MAINUI_H
#define MAINUI_H

#include "ui_mainUi.h"
#include "hal.h"
#include "messages.h"
#include "changeNameDialog.h"
#include "display.h"

#include <QPointer>
#include <QtGui>

struct bootConfig{
	QString str_defaultValue;
	QString str_timeout;
	QStringList bootConfig;
	QStringList bootConfigOld;
	QString oldName;
	QString newName;
	int defaultValue;
	int timeout;
	int editedRow;
};

class mainUi : public QWidget, public Ui::mainUi
{
	Q_OBJECT
	
public:
	static mainUi* self( QWidget* = 0 );
	mainUi( QWidget* = 0 );
	
protected:
	void closeEvent( QCloseEvent* );
	
private:
	hal *halObj;
	displayClass *displayObj;
	QStringList resolutions;
	msgConsole *msg;
	changeNameDialog *rename;
	bootConfig bootCfg;

	void getHalInfo(void);
	void getBootConfig(void);
	static QPointer<mainUi> _self;
	

private slots:
	void bootConfigChanged();
	void cancelBootChanges();
	void applyBootChanges();
	void editItem(QListWidgetItem*);
	void getNewName();
};

#endif // MAINUI_H
